curl --request POST \
--url https://zeus-api.agentspro.cn/api/tools/mcp/validate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"name": "tavily",
"base_url": "https://mcp.tavily.com/mcp",
"transport_type": "streamable_http",
"api_key": "tvly-..."
}'
{
"success": true,
"status": "connected",
"tools": [
{ "name": "tavily_search", "description": "Search the web using Tavily" },
{ "name": "tavily_extract", "description": "Extract content from a URL" }
],
"tool_count": 2,
"prompts": [],
"prompt_count": 0
}
{
"detail": "Connection timeout: Unable to connect to https://mcp.example.com"
}
Tools API
Validate MCP Server
Validate MCP server connection and retrieve the list of tools and prompts
POST
/
api
/
tools
/
mcp
/
validate
curl --request POST \
--url https://zeus-api.agentspro.cn/api/tools/mcp/validate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"name": "tavily",
"base_url": "https://mcp.tavily.com/mcp",
"transport_type": "streamable_http",
"api_key": "tvly-..."
}'
{
"success": true,
"status": "connected",
"tools": [
{ "name": "tavily_search", "description": "Search the web using Tavily" },
{ "name": "tavily_extract", "description": "Extract content from a URL" }
],
"tool_count": 2,
"prompts": [],
"prompt_count": 0
}
{
"detail": "Connection timeout: Unable to connect to https://mcp.example.com"
}
Tests whether an MCP server connection is available and returns the list of tools and prompts provided by the server. Used for connection validation before adding MCP tools on the frontend.
curl --request POST \
--url https://zeus-api.agentspro.cn/api/tools/mcp/validate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"name": "tavily",
"base_url": "https://mcp.tavily.com/mcp",
"transport_type": "streamable_http",
"api_key": "tvly-..."
}'
{
"success": true,
"status": "connected",
"tools": [
{ "name": "tavily_search", "description": "Search the web using Tavily" },
{ "name": "tavily_extract", "description": "Extract content from a URL" }
],
"tool_count": 2,
"prompts": [],
"prompt_count": 0
}
{
"detail": "Connection timeout: Unable to connect to https://mcp.example.com"
}